Skip to Content
veriom

List teammate suggestions

People who own or change the workspace's code and are not members or invited yet.

GET
/v1/workspaces/{workspace_id}/teammate-suggestions

People who own or change the workspace's code and are not members or invited yet.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
email_domains*array<string>

Domains email suggestions were limited to: the identity policy's allowed domains and the members' confirmed corporate addresses. Empty means no email suggestions.

items*array<>

Strongest first: more kinds of signal, more repositories, more activity.

Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/teammate-suggestions'
Example Response
{  "email_domains": [    "string"  ],  "items": [    {      "activity_count": 0,      "email": "user@example.com",      "handle": "string",      "invitable": true,      "kind": "email",      "last_seen_at": "2019-08-24T14:15:22Z",      "repository_count": 0,      "sources": [        "codeowners"      ]    }  ]}